Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Interface ClasspathComponent

All Known Implementing Classes:
  BrowserConfig, ClasspathEntry

public interface ClasspathComponent

A logical component of the classpath.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Method Summary
`void` | `addClasspathChangeListener(ClasspathChangeListener listener)` Add a `ClasspathChangeListener`.
`FindResult` | `findClass(String className)` Find a class by name within thsi classpath component.
`void` | `mergeClassesIntoTree(DefaultTreeModel model, boolean reset)` Merge all classes in this classpath component into the supplied tree.
`void` | `removeClasspathChangeListener(ClasspathChangeListener listener)` Remove a `ClasspathChangeListener`.

Method Detail

### findClass

    public FindResult findClass(String className)

  Find a class by name within thsi classpath component.

  Parameters:
    `className` - the name of the class
  Returns:
    the `FindResult` object. `null` if no class could be found.

### mergeClassesIntoTree

    public void mergeClassesIntoTree(DefaultTreeModel model,
                                     boolean reset)

  Merge all classes in this classpath component into the supplied tree.

  Parameters:
    `model` - the tree model.
    `reset` - whether this is an incremental operation or part of a reset. For a reset, no change events will be fired on the tree model.

### addClasspathChangeListener

    public void addClasspathChangeListener(ClasspathChangeListener listener)

  Add a `ClasspathChangeListener`.

  Parameters:
    `listener` - the listener

### removeClasspathChangeListener

    public void removeClasspathChangeListener(ClasspathChangeListener listener)

  Remove a `ClasspathChangeListener`.

  Parameters:
    `listener` - the listener

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD